Subject: Re: bug#21841: 25.0.50; auto-revert-mode broken when several files have modifications on disk

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Nov 2015 19:04:57 +0200

> Cc: [email-masked], [email-masked]
> From: Dmitry Gutov <[email-masked]>
> Date: Sat, 7 Nov 2015 18:15:02 +0200
> 
> > Bug #21241 was one of them, #20417 is another.  Yet another problem
> > was reported in this thread:
> >
> >    http://lists.gnu.org/archive/html/emacs-devel/2014-10/msg00941.html
> 
> Thank you.  Do you think they should be mentioned in etc/PROBLEMS?

I think so, yes.

> And/or in the ./configure output, when the glib file-notification 
> backend is enabled? Similarly to how it complains about GTK3 and closing 
> open displays.

Not sure about configure.  We warn about GTK because there's a
configure-time option to disable that.  By contrast, gfilenotify is
only used as a last resort, or if the user explicitly asked for it, so
the warning will have little effect, I think, and perhaps might even
annoy.